package com.bcxin.backend.domain.syncs.events;

import com.bcxin.runtime.domain.imports.entities.DataQueueEntity;
import com.bcxin.runtime.domain.syncs.entities.DataSyncQueueEntity;
import org.springframework.context.ApplicationEvent;

public class SyncDataQueueApplicationEvent extends ApplicationEvent {
    public SyncDataQueueApplicationEvent(DataSyncQueueEntity dataSyncQueueEntity) {
        super(dataSyncQueueEntity);
    }

    public DataSyncQueueEntity getDataQueueEntity() {
        return (DataSyncQueueEntity) this.getSource();
    }

    public static SyncDataQueueApplicationEvent create(DataSyncQueueEntity dataSyncQueueEntity) {
        return new SyncDataQueueApplicationEvent(dataSyncQueueEntity);
    }
}
